#! /usr/bin/env python

import cmdsyntax, sys

if __name__ == "__main__":

    if cmdsyntax.use_GUI() == None:
    
        print "No GUI support - exiting."
        sys.exit()
    
    # We need a special style.
    style = cmdsyntax.Style()
    
    if style.verify() == 0:
    
        print "Inconsistent style used."
        sys.exit()
    
    style.in_string = style.in_string + " "
    
    # Create a really verbose syntax definition specifically for use in a
    # GUI form.
    
    
    syntax = """
    
        "Woodland census 2002"
        (
            <Number of woodland animals in the forest>
            [ --Squirrels=Number ]
            [ --Badgers=Number ]
            [ --Hippos=Number ]
            
            "Types of trees in the forest"
            {
                --Oak
                --Birch
                --Sycamore
                --Fir
            }
        )
    
    """
    
    # Create a syntax object.
    syntax_obj = cmdsyntax.Syntax(syntax, style = style)
    
    # Display the form.
    form = cmdsyntax.Form("My verbose form", syntax_obj)
    
    match = form.get_args()
    
    print match
    
    sys.exit()
